Skip to content

Reporting Suite

Manage reporting suites and their scheduled export configurations. Supports fetching, creating, patching, deleting, and searching reporting suites and export configs, fetching export run status, and fetching field mappings by module type.

Fetch reporting suite export config(s) by entity id

Request

Security
bearerAuth and apiKeyAuth
Query
entityIdstring

Export config entity id(s): one id or comma-separated list (max 50)

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/reportingSuite/exportConfig?entityId=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring
entityIdstring
namestring
reportingSuitestring
exportTypestring(ExportType)
Value:"SCHEDULED"
filtersArray of objects(Filter_request)
timeRangeFilterobject(TimeRangeFilter)
scheduleConfigobject

Unresolved type (ScheduleConfigResponseView)

externalStorageIdstring
ownerUserIdinteger, (int64)
createdTimeinteger, (int64)

Epoch milliseconds (UTC)

modifiedTimeinteger, (int64)

Epoch milliseconds (UTC)

lastModifiedUserIdinteger, (int64)
deletedboolean
scheduleFrequencyobject(ScheduleFrequency)
]
Response
[ { "id": "string", "entityId": "string", "name": "string", "reportingSuite": "string", "exportType": "SCHEDULED", "filters": [ … ], "timeRangeFilter": { … }, "scheduleConfig": {}, "externalStorageId": "string", "ownerUserId": 0, "createdTime": 0, "modifiedTime": 0, "lastModifiedUserId": 0, "deleted": true, "scheduleFrequency": { … } } ]